## org.apache.hadoop.net
Class StandardSocketFactory

    java.lang.Object
      javax.net.SocketFactory
          org.apache.hadoop.net.StandardSocketFactory

    public class StandardSocketFactory

extends SocketFactory

Specialized SocketFactory to create sockets with a SOCKS proxy

Constructor Summary
`StandardSocketFactory()` Default empty constructor (for use with the reflection API).

Method Summary
`Socket` `createSocket()`
`Socket` `createSocket(InetAddress addr, int port)`
`Socket` `createSocket(InetAddress addr, int port, InetAddress localHostAddr, int localPort)`
`Socket` `createSocket(String host, int port)`
`Socket` `createSocket(String host, int port, InetAddress localHostAddr, int localPort)`
`boolean` `equals(Object obj)`
`int` `hashCode()`

Methods inherited from class javax.net.SocketFactory
`getDefault`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardSocketFactory

    public StandardSocketFactory()

  Default empty constructor (for use with the reflection API).

Method Detail

### createSocket

    public Socket createSocket()
                        throws IOException

  Overrides:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`

### createSocket

    public Socket createSocket(InetAddress addr,
                               int port)
                        throws IOException

  Specified by:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`

### createSocket

    public Socket createSocket(InetAddress addr,
                               int port,
                               InetAddress localHostAddr,
                               int localPort)
                        throws IOException

  Specified by:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`

### createSocket

    public Socket createSocket(String host,
                               int port)
                        throws IOException,
                               UnknownHostException

  Specified by:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`
    `UnknownHostException`

### createSocket

    public Socket createSocket(String host,
                               int port,
                               InetAddress localHostAddr,
                               int localPort)
                        throws IOException,
                               UnknownHostException

  Specified by:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`
    `UnknownHostException`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Copyright © 2009 The Apache Software Foundation